Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Class RptServerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              jet.JException
                  jet.JSException
                      jet.server.api.RptServerException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TaskCancellationException

    public class RptServerException

extends jet.JSException

Signals indicating that an exception occurs. Typically, the exception will be thrown out if an exception occurs in the report server.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class jet.JException
`jet.JException.LogLevel`

Constructor Summary
`RptServerException(int msgKey)` Constructs a new `RptServerException` with the specified message, the cause is not initialized.
`RptServerException(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detailed message and cause.
`RptServerException(int msgKey, java.lang.Throwable cause)` Constructs a new `RptServerException` with the specified detailed message and cause.
`RptServerException(java.lang.String msg)` Constructs a new RptServerException with the message.
`RptServerException(java.lang.String msg, java.lang.Throwable cause)` Constructs a new RptServerException with the message and the original Throwable object.
`RptServerException(java.lang.String msg, java.lang.Throwable cause, java.util.List engineErrors)` Constructs a new `RptServerException` with the message, the original Throwable object and engine errors.
`RptServerException(java.lang.Throwable cause)` Constructs a new `RptServerException` with the specified cause and a `null`message.``
`RptServerException(java.lang.Throwable cause, java.util.List engineErrors)` Constructs a new `RptServerException` with the specified cause and engine errors.

Method Summary
`java.util.List` | `getEngineErrors()` Gets the under engine's Errors.
`java.lang.Throwable` | `getOriginalThrowable()` Deprecated. This method has been alternated by getCause() since JDK1.4
`java.lang.String` | `toString()` Returns this object string information.

Methods inherited from class jet.JSException
`getErrorKey`

Methods inherited from class jet.JException
`getMessages, getThrowables, logTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RptServerException

    public RptServerException(int msgKey,
                              java.lang.Object[] params,
                              java.lang.Throwable cause)

  Constructs a new throwable with the specified detailed message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for finding the message, and which will be logged and shown to user.
    `params` - the parameters used for formatting the message string, which can be null.
    `cause` - the cause which is saved for later retrieval by the getCause.

### RptServerException

    public RptServerException(int msgKey,
                              java.lang.Throwable cause)

  Constructs a new `RptServerException` with the specified detailed message and cause.

  Parameters:
    `msgKey` - the message key
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### RptServerException

    public RptServerException(int msgKey)

  Constructs a new `RptServerException` with the specified message, the cause is not initialized.

  Parameters:
    `msgKey` - the message key

### RptServerException

    public RptServerException(java.lang.Throwable cause)

  Constructs a new `RptServerException` with the specified cause and a `null`message.

  Parameters:
    `cause` - the cause.
  ``

### RptServerException

    public RptServerException(java.lang.Throwable cause,
                              java.util.List engineErrors)

  Constructs a new `RptServerException` with the specified cause and engine errors.

  Parameters:
    `cause` - the cause.
    `enginErrors` - the engine errors

### RptServerException

    public RptServerException(java.lang.String msg)

  Constructs a new RptServerException with the message.

  Parameters:
    `msg` - the detailed message

### RptServerException

    public RptServerException(java.lang.String msg,
                              java.lang.Throwable cause)

  Constructs a new RptServerException with the message and the original Throwable object.

  Parameters:
    `msg` - the detailed message
    `cause` - the original Throwable object.

### RptServerException

    public RptServerException(java.lang.String msg,
                              java.lang.Throwable cause,
                              java.util.List engineErrors)

  Constructs a new `RptServerException` with the message, the original Throwable object and engine errors.

  Parameters:
    `msg` - the detailed message
    `cause` - the cause.
    `enginErrors` - the engine errors

Method Detail

### toString

    public java.lang.String toString()

  Returns this object string information.

  Overrides:
    `toString` in class `java.lang.Throwable`

### getOriginalThrowable

    public java.lang.Throwable getOriginalThrowable()

  Deprecated. This method has been alternated by getCause() since JDK1.4

  Gets the original Throwable object.

  Returns:
    the original Throwable object.

### getEngineErrors

    public java.util.List getEngineErrors()

  Gets the under engine's Errors.

  Returns:
    The engine's Errors List (elements are Throwable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD